Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 235058

Summary: certain audio cd drives load through roof, system unresponsive
Product: [Fedora] Fedora Reporter: Bernard Johnson <bjohnson>
Component: halAssignee: David Zeuthen <davidz>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: mclasen, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 19:26:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
output from lshal none

Description Bernard Johnson 2007-04-03 16:48:42 UTC
Description of problem:
When I insert a particular audio cd, the system load goes to between 25 and 40
and becomes very unresponsive.  hal-addon-storage takes 99%-100% of the CPU.

Killing hal-addon-storage bring system back under control.  CD can not be
ejected until reboot.

Not sure if this is a kernel bug or hal bug.

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2933.fc6
hal-0.5.8.1-6.fc6

How reproducible:
always

Steps to Reproduce:
1. insert audio cd
2. wait
3.
  
Actual results:


Expected results:


Additional info:


system messages:

Apr  2 22:30:25 snowflake kernel: hdc: status timeout: status=0xd0 { Busy }
Apr  2 22:30:25 snowflake kernel: ide: failed opcode was: unknown
Apr  2 22:30:25 snowflake kernel: hdc: drive not ready for command
Apr  2 22:30:30 snowflake kernel: hdc: status timeout: status=0xd0 { Busy }
Apr  2 22:30:30 snowflake kernel: ide: failed opcode was: unknown
Apr  2 22:30:30 snowflake kernel: hdc: drive not ready for command
Apr  2 22:30:35 snowflake kernel: hdc: status timeout: status=0xd0 { Busy }
Apr  2 22:30:35 snowflake kernel: ide: failed opcode was: unknown
Apr  2 22:30:35 snowflake kernel: hdc: drive not ready for command
Apr  2 22:30:41 snowflake kernel: hdc: status timeout: status=0xd0 { Busy }
Apr  2 22:30:41 snowflake kernel: ide: failed opcode was: unknown
Apr  2 22:30:41 snowflake kernel: hdc: drive not ready for command
Apr  2 22:30:46 snowflake kernel: hdc: status timeout: status=0xd0 { Busy }
Apr  2 22:30:46 snowflake kernel: ide: failed opcode was: unknown
Apr  2 22:30:46 snowflake kernel: hdc: drive not ready for command
Apr  2 22:30:51 snowflake kernel: hdc: status timeout: status=0xd0 { Busy }
Apr  2 22:30:51 snowflake kernel: ide: failed opcode was: unknown
Apr  2 22:30:51 snowflake kernel: hdc: drive not ready for command

Comment 1 Bernard Johnson 2007-04-03 16:48:42 UTC
Created attachment 151585 [details]
output from lshal

Comment 2 Sammy 2007-04-05 23:06:44 UTC
One my students just had the same problem with same configuration/kernel.

Comment 3 Bug Zapper 2008-04-04 06:44:45 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 4 Bug Zapper 2008-05-06 19:26:52 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.